ur_rna.GUITester.ScriptParser

## Class ParseFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ur_rna.GUITester.ScriptParser.ParseException
      - - ur_rna.GUITester.ScriptParser.ParseFormatException

- All Implemented Interfaces:
    java.io.Serializable

      public class ParseFormatException
      extends ParseException

  This exception is thrown when high-level parse errors, such as evaluation of a literal are encountered.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` The version identifier for this Serializable class.

    - ### Fields inherited from class ur_rna.GUITester.ScriptParser.ParseException

      `currentToken, EOL, expectedTokenSequences, tokenImage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseFormatException()`
    `ParseFormatException(java.lang.String message)` Constructor with message.
    `ParseFormatException(java.lang.String message, Token relatedToken)`
    `ParseFormatException(java.lang.String message, Token relatedToken, java.lang.Throwable cause)` This constructor is used by the method "generateParseException" in the generated parser.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getInfoFromToken(Token t)` Uses "currentToken" to generate additional information to help the user locate the source of the error.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      The version identifier for this Serializable class. Increment only if the serialized form of the class changes.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ParseFormatException

          public ParseFormatException()

    - #### ParseFormatException

          public ParseFormatException(java.lang.String message)

      Constructor with message.

    - #### ParseFormatException

          public ParseFormatException(java.lang.String message,
                                      Token relatedToken)

    - #### ParseFormatException

          public ParseFormatException(java.lang.String message,
                                      Token relatedToken,
                                      java.lang.Throwable cause)

      This constructor is used by the method "generateParseException" in the generated parser. Calling this constructor generates a new object of this type with the fields "currentToken", "expectedTokenSequences", and "tokenImage" set.

  - ### Method Detail

    - #### getInfoFromToken

          public static java.lang.String getInfoFromToken(Token t)

      Uses "currentToken" to generate additional information to help the user locate the source of the error.